summaryrefslogtreecommitdiffstats
path: root/extraconfig/tasks/pacemaker_common_functions.sh
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2017-07-14 00:33:58 +0000
committerGerrit Code Review <review@openstack.org>2017-07-14 00:33:58 +0000
commitc031108b9ac358042f726c1745be4151eca4a812 (patch)
tree7423595e6e46ac7140538e774cf5264f99d15b2d /extraconfig/tasks/pacemaker_common_functions.sh
parentfb5eb77331006fe34991189b1f84c3ebb6c00132 (diff)
parent839c0b111651b8f5a1608f179781707b78dbacaa (diff)
Merge "Adds check for existing yum process during the legacy minor update"
Diffstat (limited to 'extraconfig/tasks/pacemaker_common_functions.sh')
-rwxr-xr-xextraconfig/tasks/pacemaker_common_functions.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/extraconfig/tasks/pacemaker_common_functions.sh b/extraconfig/tasks/pacemaker_common_functions.sh
index d1dd5d1d..367f50d7 100755
--- a/extraconfig/tasks/pacemaker_common_functions.sh
+++ b/extraconfig/tasks/pacemaker_common_functions.sh
@@ -371,3 +371,15 @@ function fixup_wrong_ipv6_vip {
fi
)
}
+
+# https://bugs.launchpad.net/tripleo/+bug/1704131 guard against yum update
+# waiting for an existing process until the heat stack time out
+function check_for_yum_lock {
+ if [[ -f /var/run/yum.pid ]] ; then
+ ERR="ERROR existing yum.pid detected - can't continue! Please ensure
+there is no other package update process for the duration of the minor update
+worfklow. Exiting."
+ echo $ERR
+ exit 1
+ fi
+}